Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface SessionConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter

public interface SessionConfig
extends ConfigElement, Container

Configuration for the <session-config> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`SessionManagerConfig` | `createSessionManagerConfig()` Creates new session-manager element.
`SessionPropertiesConfig` | `createSessionPropertiesConfig(java.util.Map params)` Creates new session-properties element.
`SessionManagerConfig` | `getSessionManagerConfig()` Get the SessionManagerConfig MBean.
`SessionPropertiesConfig` | `getSessionPropertiesConfig()` Get the SessionPropertiesConfig MBean.
`void` | `removeSessionManagerConfig()` Removes session-manager element.
`void` | `removeSessionPropertiesConfig()` Removes session-properties element.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### createSessionManagerConfig

    public SessionManagerConfig createSessionManagerConfig()

  Creates new session-manager element.

  Returns:
    A proxy to the SessionManagerConfig MBean.

### removeSessionManagerConfig

    public void removeSessionManagerConfig()

  Removes session-manager element.

### getSessionManagerConfig

    public SessionManagerConfig getSessionManagerConfig()

  Get the SessionManagerConfig MBean.

### createSessionPropertiesConfig

    public SessionPropertiesConfig createSessionPropertiesConfig(java.util.Map params)

  Creates new session-properties element.

  Parameters:
    `params` - Map of optional attrbutes and properties.
  Returns:
    A proxy to the SessionPropertiesConfig MBean.

### removeSessionPropertiesConfig

    public void removeSessionPropertiesConfig()

  Removes session-properties element.

### getSessionPropertiesConfig

    public SessionPropertiesConfig getSessionPropertiesConfig()

  Get the SessionPropertiesConfig MBean.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.